﻿using System;

namespace NumberTypes
{
    class Program
    {
        static void Main(string[] args)
        {
            Double d1 = 111, d2 = 4.1;
            Complex c1 = new Complex(2.5, 11.25);
            Console.WriteLine("Complex number: " + c1);
            // Itt a komplex, valós paraméteres összeadást hívjuk meg
            Console.WriteLine("{0} + {1} = {2}", c1, d1, c1 + d1);
            // Itt a valós, komplex paraméteres összeadást hívjuk meg
            Console.WriteLine("{0} + {1} = {2}", d2, c1, d2 + c1);
            Console.WriteLine();

            Rational r1 = new Rational(2, 3);
            Rational r2 = new Rational(5, 4);
            Rational r3 = new Rational(10, 5);
            Console.WriteLine("Rational number: {0}", r1);
            Console.WriteLine("{0} + {1} = {2}", r1, r2, r1 + r2);
            Console.WriteLine("{0} * {1} = {2}", r1, r3, r1 * r3);
            Console.WriteLine();

            // Konverziós operátorok használata
            Complex c2 = d2;
            Complex c3 = (Complex)r1;
            Console.WriteLine("{0} -> {1}", d2, c2);
            Console.WriteLine("{0} -> {1}", r1, c3);

            Console.ReadKey();
        }
    }
}
