﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace University
{
    abstract class UniversityCitizen
    {
        protected List<Course> _Courses;

        public String Name { get; protected set; }
        public String UniversityCode { get; protected set; }

        public List<String> CourseNames
        {
            get
            {
                List<String> courseNames = new List<String>();
                foreach (Course course in _Courses)
                    courseNames.Add(course.Name);
                return courseNames;
            }
        }

        public UniversityCitizen(String name)
        {
            Name = name;
            _Courses = new List<Course>();
        }
    }
}
